# TerminateScilab

Stops and terminates Scilab engine in Call Scilab

    BOOL TerminateScilab(char *ScilabQuit);

## Description

This fonction stops the Scilab engine. It is strongly recommended to call this function at the end when using Call Scilab .

BOOL is just a simple typedef on int (`typedef int BOOL` ). TRUE is defined on 1 (`#define TRUE 1`) and FALSE is defined on 0 (`#define FALSE 0`).

## Arguments

ScilabQuit

  a standard C char* containing the path to Scilab quit script (scilab.quit)

  If ScilabStartup is NULL, Scilab will use the default path (detected from SCIpath).

returns

  1 (TRUE) if the operation is successfull.

  0 (FALSE) if an error during initialization occurred.

## Examples

    // A simple TerminateScilab example
    if ( TerminateScilab(NULL) == FALSE ) {
     fprintf(stderr,"Error while calling TerminateScilab\n");
     return -2;
    }

## See Also

- Call_Scilab
- api Scilab
- Compile and run with call_scilab
- StartScilab
- SendScilabJob
- Double Management
- Boolean Management
- Complex Management
- String Management